close all
clearvars
clc


CT = PlotColor(2, 'blue');
set(groot,'defaultAxesColorOrder', CT);
set(groot,'defaultLineLineWidth', 2);
set(groot,'defaultAxesTitleFontWeight','normal');

saveflag    = 0;    % 1 to save results for each run
loadresult  = 0;    % 1 to load saved results without running subroutine
printflag   = 0;    % 1 to save figures as PDF
slideflag   = 0;    % 1 to create figures for slides

% Need to feed "par" containing parameter values and "MUs" containing
% containment policy and wage subsidies.

load HKK_parameters

par = par_ERT0;

par.psi = 1.3;
par.chi = 1;
par.chi_bar = par.chi;
par.kappa = 0;
par.chi_AB = 1;
    
imperfect_Solve_Compact

guessN = N(:);

save InitialSetting guessN MUs par

load InitialSetting

% Initial guess
muc_t0 = 0.0001*ones(par.H,1);

% (inverse) logistic transformation
muc_t0 = log(muc_t0);

% - Objective function
ObjFun = @(x) OptMUCt(x, guessN, MUs, par);

% -- Option for fminunc
opt = optimoptions(@fminunc,'Display','iter','UseParallel',true, 'FiniteDifferenceStepSize',1e-3, 'MaxFunctionEvaluations', 1e+6, 'MaxIterations', 5e+3, 'PlotFcns','optimplotx');

tic
[muc_t, fval, exitflag] = fminunc(ObjFun, muc_t0, opt);
toc

muc_t = exp(muc_t);

plot(muc_t)

